Main Page Widgets Namespaces Book

# Glib::Value< Glib::RefPtr< T > > Class Template Reference
[Generic Values]

Partial specialization for RefPtr<> to Glib::Object. More...

Inheritance diagram for Glib::Value< Glib::RefPtr< T > >:

[legend]
List of all members.

## Public Types

typedef Glib::RefPtr<T> | CppType
typedef T::BaseObjectType* | CType

## Public Methods

void | set (const CppType& data)
CppType | get () const

## Static Public Methods

GType | value_type ()

## Detailed Description

### template <class T>
class Glib::Value< Glib::RefPtr< T > >

Partial specialization for RefPtr<> to Glib::Object.

## Member Typedef Documentation

template <class T>
typedef Glib::RefPtr<T> Glib::Value<Glib::RefPtr<T>>::CppType

template <class T>
typedef T::BaseObjectType* Glib::Value<Glib::RefPtr<T>>::CType

## Member Function Documentation

template <class T>
CppType Glib::Value<Glib::RefPtr<T>>::get | ( |  | ) | const`[inline]`

template <class T>
void Glib::Value<Glib::RefPtr<T>>::set | ( | const CppType& | data | ) | `[inline]`

template <class T>
GType Glib::Value<Glib::RefPtr<T>>::value_type | ( |  | ) | `[inline, static]`

| Reimplemented from Glib::ValueBase_Object.

The documentation for this class was generated from the following file:

- glib/glibmm/value.h